XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xfixes.h
1 /*
2 * This file generated automatically from xfixes.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XFIXES_H
13 #define __XFIXES_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17 #include "render.h"
18 #include "shape.h"
19
20 #ifdef __cplusplus
21 extern "C" {
22 #endif
23
24 #define XCB_XFIXES_MAJOR_VERSION 4
25 #define XCB_XFIXES_MINOR_VERSION 0
26
27 extern xcb_extension_t xcb_xfixes_id;
28
32 typedef struct xcb_xfixes_query_version_cookie_t {
33 unsigned int sequence;
34 } xcb_xfixes_query_version_cookie_t;
35
37 #define XCB_XFIXES_QUERY_VERSION 0
38
42 typedef struct xcb_xfixes_query_version_request_t {
43 uint8_t major_opcode;
44 uint8_t minor_opcode;
45 uint16_t length;
46 uint32_t client_major_version;
47 uint32_t client_minor_version;
48 } xcb_xfixes_query_version_request_t;
49
53 typedef struct xcb_xfixes_query_version_reply_t {
54 uint8_t response_type;
55 uint8_t pad0;
56 uint16_t sequence;
57 uint32_t length;
58 uint32_t major_version;
59 uint32_t minor_version;
60 uint8_t pad1[16];
61 } xcb_xfixes_query_version_reply_t;
62
63 typedef enum xcb_xfixes_save_set_mode_t {
64 XCB_XFIXES_SAVE_SET_MODE_INSERT,
65 XCB_XFIXES_SAVE_SET_MODE_DELETE
66 } xcb_xfixes_save_set_mode_t;
67
68 typedef enum xcb_xfixes_save_set_target_t {
69 XCB_XFIXES_SAVE_SET_TARGET_NEAREST,
70 XCB_XFIXES_SAVE_SET_TARGET_ROOT
71 } xcb_xfixes_save_set_target_t;
72
73 typedef enum xcb_xfixes_save_set_mapping_t {
74 XCB_XFIXES_SAVE_SET_MAPPING_MAP,
75 XCB_XFIXES_SAVE_SET_MAPPING_UNMAP
76 } xcb_xfixes_save_set_mapping_t;
77
79 #define XCB_XFIXES_CHANGE_SAVE_SET 1
80
84 typedef struct xcb_xfixes_change_save_set_request_t {
85 uint8_t major_opcode;
86 uint8_t minor_opcode;
87 uint16_t length;
88 uint8_t mode;
89 uint8_t target;
90 uint8_t map;
91 uint8_t pad0;
92 xcb_window_t window;
93 } xcb_xfixes_change_save_set_request_t;
94
95 typedef enum xcb_xfixes_selection_event_t {
96 XCB_XFIXES_SELECTION_EVENT_SET_SELECTION_OWNER,
97 XCB_XFIXES_SELECTION_EVENT_SELECTION_WINDOW_DESTROY,
98 XCB_XFIXES_SELECTION_EVENT_SELECTION_CLIENT_CLOSE
99 } xcb_xfixes_selection_event_t;
100
101 typedef enum xcb_xfixes_selection_event_mask_t {
102 XCB_XFIXES_SELECTION_EVENT_MASK_SET_SELECTION_OWNER = 1,
103 XCB_XFIXES_SELECTION_EVENT_MASK_SELECTION_WINDOW_DESTROY = 2,
104 XCB_XFIXES_SELECTION_EVENT_MASK_SELECTION_CLIENT_CLOSE = 4
105 } xcb_xfixes_selection_event_mask_t;
106
108 #define XCB_XFIXES_SELECTION_NOTIFY 0
109
113 typedef struct xcb_xfixes_selection_notify_event_t {
114 uint8_t response_type;
115 uint8_t subtype;
116 uint16_t sequence;
117 xcb_window_t window;
118 xcb_window_t owner;
119 xcb_atom_t selection;
120 xcb_timestamp_t timestamp;
121 xcb_timestamp_t selection_timestamp;
122 uint8_t pad0[8];
123 } xcb_xfixes_selection_notify_event_t;
124
126 #define XCB_XFIXES_SELECT_SELECTION_INPUT 2
127
131 typedef struct xcb_xfixes_select_selection_input_request_t {
132 uint8_t major_opcode;
133 uint8_t minor_opcode;
134 uint16_t length;
135 xcb_window_t window;
136 xcb_atom_t selection;
137 uint32_t event_mask;
138 } xcb_xfixes_select_selection_input_request_t;
139
140 typedef enum xcb_xfixes_cursor_notify_t {
141 XCB_XFIXES_CURSOR_NOTIFY_DISPLAY_CURSOR
142 } xcb_xfixes_cursor_notify_t;
143
144 typedef enum xcb_xfixes_cursor_notify_mask_t {
145 XCB_XFIXES_CURSOR_NOTIFY_MASK_DISPLAY_CURSOR = 1
146 } xcb_xfixes_cursor_notify_mask_t;
147
149 #define XCB_XFIXES_CURSOR_NOTIFY 1
150
154 typedef struct xcb_xfixes_cursor_notify_event_t {
155 uint8_t response_type;
156 uint8_t subtype;
157 uint16_t sequence;
158 xcb_window_t window;
159 uint32_t cursor_serial;
160 xcb_timestamp_t timestamp;
161 xcb_atom_t name;
162 uint8_t pad0[12];
163 } xcb_xfixes_cursor_notify_event_t;
164
166 #define XCB_XFIXES_SELECT_CURSOR_INPUT 3
167
171 typedef struct xcb_xfixes_select_cursor_input_request_t {
172 uint8_t major_opcode;
173 uint8_t minor_opcode;
174 uint16_t length;
175 xcb_window_t window;
176 uint32_t event_mask;
177 } xcb_xfixes_select_cursor_input_request_t;
178
182 typedef struct xcb_xfixes_get_cursor_image_cookie_t {
183 unsigned int sequence;
184 } xcb_xfixes_get_cursor_image_cookie_t;
185
187 #define XCB_XFIXES_GET_CURSOR_IMAGE 4
188
192 typedef struct xcb_xfixes_get_cursor_image_request_t {
193 uint8_t major_opcode;
194 uint8_t minor_opcode;
195 uint16_t length;
196 } xcb_xfixes_get_cursor_image_request_t;
197
201 typedef struct xcb_xfixes_get_cursor_image_reply_t {
202 uint8_t response_type;
203 uint8_t pad0;
204 uint16_t sequence;
205 uint32_t length;
206 int16_t x;
207 int16_t y;
208 uint16_t width;
209 uint16_t height;
210 uint16_t xhot;
211 uint16_t yhot;
212 uint32_t cursor_serial;
213 uint8_t pad1[8];
214 } xcb_xfixes_get_cursor_image_reply_t;
215
216 typedef uint32_t xcb_xfixes_region_t;
217
221 typedef struct xcb_xfixes_region_iterator_t {
222 xcb_xfixes_region_t *data;
223 int rem;
224 int index;
225 } xcb_xfixes_region_iterator_t;
226
228 #define XCB_XFIXES_BAD_REGION 0
229
233 typedef struct xcb_xfixes_bad_region_error_t {
234 uint8_t response_type;
235 uint8_t error_code;
236 uint16_t sequence;
237 } xcb_xfixes_bad_region_error_t;
238
239 typedef enum xcb_xfixes_region_enum_t {
240 XCB_XFIXES_REGION_NONE
241 } xcb_xfixes_region_enum_t;
242
244 #define XCB_XFIXES_CREATE_REGION 5
245
249 typedef struct xcb_xfixes_create_region_request_t {
250 uint8_t major_opcode;
251 uint8_t minor_opcode;
252 uint16_t length;
253 xcb_xfixes_region_t region;
254 } xcb_xfixes_create_region_request_t;
255
257 #define XCB_XFIXES_CREATE_REGION_FROM_BITMAP 6
258
262 typedef struct xcb_xfixes_create_region_from_bitmap_request_t {
263 uint8_t major_opcode;
264 uint8_t minor_opcode;
265 uint16_t length;
266 xcb_xfixes_region_t region;
267 xcb_pixmap_t bitmap;
268 } xcb_xfixes_create_region_from_bitmap_request_t;
269
271 #define XCB_XFIXES_CREATE_REGION_FROM_WINDOW 7
272
276 typedef struct xcb_xfixes_create_region_from_window_request_t {
277 uint8_t major_opcode;
278 uint8_t minor_opcode;
279 uint16_t length;
280 xcb_xfixes_region_t region;
281 xcb_window_t window;
282 xcb_shape_kind_t kind;
283 uint8_t pad0[3];
284 } xcb_xfixes_create_region_from_window_request_t;
285
287 #define XCB_XFIXES_CREATE_REGION_FROM_GC 8
288
292 typedef struct xcb_xfixes_create_region_from_gc_request_t {
293 uint8_t major_opcode;
294 uint8_t minor_opcode;
295 uint16_t length;
296 xcb_xfixes_region_t region;
297 xcb_gcontext_t gc;
298 } xcb_xfixes_create_region_from_gc_request_t;
299
301 #define XCB_XFIXES_CREATE_REGION_FROM_PICTURE 9
302
306 typedef struct xcb_xfixes_create_region_from_picture_request_t {
307 uint8_t major_opcode;
308 uint8_t minor_opcode;
309 uint16_t length;
310 xcb_xfixes_region_t region;
311 xcb_render_picture_t picture;
312 } xcb_xfixes_create_region_from_picture_request_t;
313
315 #define XCB_XFIXES_DESTROY_REGION 10
316
320 typedef struct xcb_xfixes_destroy_region_request_t {
321 uint8_t major_opcode;
322 uint8_t minor_opcode;
323 uint16_t length;
324 xcb_xfixes_region_t region;
325 } xcb_xfixes_destroy_region_request_t;
326
328 #define XCB_XFIXES_SET_REGION 11
329
333 typedef struct xcb_xfixes_set_region_request_t {
334 uint8_t major_opcode;
335 uint8_t minor_opcode;
336 uint16_t length;
337 xcb_xfixes_region_t region;
338 } xcb_xfixes_set_region_request_t;
339
341 #define XCB_XFIXES_COPY_REGION 12
342
346 typedef struct xcb_xfixes_copy_region_request_t {
347 uint8_t major_opcode;
348 uint8_t minor_opcode;
349 uint16_t length;
350 xcb_xfixes_region_t source;
351 xcb_xfixes_region_t destination;
352 } xcb_xfixes_copy_region_request_t;
353
355 #define XCB_XFIXES_UNION_REGION 13
356
360 typedef struct xcb_xfixes_union_region_request_t {
361 uint8_t major_opcode;
362 uint8_t minor_opcode;
363 uint16_t length;
364 xcb_xfixes_region_t source1;
365 xcb_xfixes_region_t source2;
366 xcb_xfixes_region_t destination;
367 } xcb_xfixes_union_region_request_t;
368
370 #define XCB_XFIXES_INTERSECT_REGION 14
371
375 typedef struct xcb_xfixes_intersect_region_request_t {
376 uint8_t major_opcode;
377 uint8_t minor_opcode;
378 uint16_t length;
379 xcb_xfixes_region_t source1;
380 xcb_xfixes_region_t source2;
381 xcb_xfixes_region_t destination;
382 } xcb_xfixes_intersect_region_request_t;
383
385 #define XCB_XFIXES_SUBTRACT_REGION 15
386
390 typedef struct xcb_xfixes_subtract_region_request_t {
391 uint8_t major_opcode;
392 uint8_t minor_opcode;
393 uint16_t length;
394 xcb_xfixes_region_t source1;
395 xcb_xfixes_region_t source2;
396 xcb_xfixes_region_t destination;
397 } xcb_xfixes_subtract_region_request_t;
398
400 #define XCB_XFIXES_INVERT_REGION 16
401
405 typedef struct xcb_xfixes_invert_region_request_t {
406 uint8_t major_opcode;
407 uint8_t minor_opcode;
408 uint16_t length;
409 xcb_xfixes_region_t source;
410 xcb_rectangle_t bounds;
411 xcb_xfixes_region_t destination;
412 } xcb_xfixes_invert_region_request_t;
413
415 #define XCB_XFIXES_TRANSLATE_REGION 17
416
420 typedef struct xcb_xfixes_translate_region_request_t {
421 uint8_t major_opcode;
422 uint8_t minor_opcode;
423 uint16_t length;
424 xcb_xfixes_region_t region;
425 int16_t dx;
426 int16_t dy;
427 } xcb_xfixes_translate_region_request_t;
428
430 #define XCB_XFIXES_REGION_EXTENTS 18
431
435 typedef struct xcb_xfixes_region_extents_request_t {
436 uint8_t major_opcode;
437 uint8_t minor_opcode;
438 uint16_t length;
439 xcb_xfixes_region_t source;
440 xcb_xfixes_region_t destination;
441 } xcb_xfixes_region_extents_request_t;
442
446 typedef struct xcb_xfixes_fetch_region_cookie_t {
447 unsigned int sequence;
448 } xcb_xfixes_fetch_region_cookie_t;
449
451 #define XCB_XFIXES_FETCH_REGION 19
452
456 typedef struct xcb_xfixes_fetch_region_request_t {
457 uint8_t major_opcode;
458 uint8_t minor_opcode;
459 uint16_t length;
460 xcb_xfixes_region_t region;
461 } xcb_xfixes_fetch_region_request_t;
462
466 typedef struct xcb_xfixes_fetch_region_reply_t {
467 uint8_t response_type;
468 uint8_t pad0;
469 uint16_t sequence;
470 uint32_t length;
471 xcb_rectangle_t extents;
472 uint8_t pad1[16];
473 } xcb_xfixes_fetch_region_reply_t;
474
476 #define XCB_XFIXES_SET_GC_CLIP_REGION 20
477
481 typedef struct xcb_xfixes_set_gc_clip_region_request_t {
482 uint8_t major_opcode;
483 uint8_t minor_opcode;
484 uint16_t length;
485 xcb_gcontext_t gc;
486 xcb_xfixes_region_t region;
487 int16_t x_origin;
488 int16_t y_origin;
489 } xcb_xfixes_set_gc_clip_region_request_t;
490
492 #define XCB_XFIXES_SET_WINDOW_SHAPE_REGION 21
493
497 typedef struct xcb_xfixes_set_window_shape_region_request_t {
498 uint8_t major_opcode;
499 uint8_t minor_opcode;
500 uint16_t length;
501 xcb_window_t dest;
502 xcb_shape_kind_t dest_kind;
503 uint8_t pad0[3];
504 int16_t x_offset;
505 int16_t y_offset;
506 xcb_xfixes_region_t region;
507 } xcb_xfixes_set_window_shape_region_request_t;
508
510 #define XCB_XFIXES_SET_PICTURE_CLIP_REGION 22
511
515 typedef struct xcb_xfixes_set_picture_clip_region_request_t {
516 uint8_t major_opcode;
517 uint8_t minor_opcode;
518 uint16_t length;
519 xcb_render_picture_t picture;
520 xcb_xfixes_region_t region;
521 int16_t x_origin;
522 int16_t y_origin;
523 } xcb_xfixes_set_picture_clip_region_request_t;
524
526 #define XCB_XFIXES_SET_CURSOR_NAME 23
527
531 typedef struct xcb_xfixes_set_cursor_name_request_t {
532 uint8_t major_opcode;
533 uint8_t minor_opcode;
534 uint16_t length;
535 xcb_cursor_t cursor;
536 uint16_t nbytes;
537 uint8_t pad0[2];
538 } xcb_xfixes_set_cursor_name_request_t;
539
543 typedef struct xcb_xfixes_get_cursor_name_cookie_t {
544 unsigned int sequence;
545 } xcb_xfixes_get_cursor_name_cookie_t;
546
548 #define XCB_XFIXES_GET_CURSOR_NAME 24
549
553 typedef struct xcb_xfixes_get_cursor_name_request_t {
554 uint8_t major_opcode;
555 uint8_t minor_opcode;
556 uint16_t length;
557 xcb_cursor_t cursor;
558 } xcb_xfixes_get_cursor_name_request_t;
559
563 typedef struct xcb_xfixes_get_cursor_name_reply_t {
564 uint8_t response_type;
565 uint8_t pad0;
566 uint16_t sequence;
567 uint32_t length;
568 xcb_atom_t atom;
569 uint16_t nbytes;
570 uint8_t pad1[18];
571 } xcb_xfixes_get_cursor_name_reply_t;
572
576 typedef struct xcb_xfixes_get_cursor_image_and_name_cookie_t {
577 unsigned int sequence;
578 } xcb_xfixes_get_cursor_image_and_name_cookie_t;
579
581 #define XCB_XFIXES_GET_CURSOR_IMAGE_AND_NAME 25
582
586 typedef struct xcb_xfixes_get_cursor_image_and_name_request_t {
587 uint8_t major_opcode;
588 uint8_t minor_opcode;
589 uint16_t length;
590 } xcb_xfixes_get_cursor_image_and_name_request_t;
591
595 typedef struct xcb_xfixes_get_cursor_image_and_name_reply_t {
596 uint8_t response_type;
597 uint8_t pad0;
598 uint16_t sequence;
599 uint32_t length;
600 int16_t x;
601 int16_t y;
602 uint16_t width;
603 uint16_t height;
604 uint16_t xhot;
605 uint16_t yhot;
606 uint32_t cursor_serial;
607 xcb_atom_t cursor_atom;
608 uint16_t nbytes;
609 uint8_t pad1[2];
610 } xcb_xfixes_get_cursor_image_and_name_reply_t;
611
613 #define XCB_XFIXES_CHANGE_CURSOR 26
614
618 typedef struct xcb_xfixes_change_cursor_request_t {
619 uint8_t major_opcode;
620 uint8_t minor_opcode;
621 uint16_t length;
622 xcb_cursor_t source;
623 xcb_cursor_t destination;
624 } xcb_xfixes_change_cursor_request_t;
625
627 #define XCB_XFIXES_CHANGE_CURSOR_BY_NAME 27
628
632 typedef struct xcb_xfixes_change_cursor_by_name_request_t {
633 uint8_t major_opcode;
634 uint8_t minor_opcode;
635 uint16_t length;
636 xcb_cursor_t src;
637 uint16_t nbytes;
638 uint8_t pad0[2];
639 } xcb_xfixes_change_cursor_by_name_request_t;
640
642 #define XCB_XFIXES_EXPAND_REGION 28
643
647 typedef struct xcb_xfixes_expand_region_request_t {
648 uint8_t major_opcode;
649 uint8_t minor_opcode;
650 uint16_t length;
651 xcb_xfixes_region_t source;
652 xcb_xfixes_region_t destination;
653 uint16_t left;
654 uint16_t right;
655 uint16_t top;
656 uint16_t bottom;
657 } xcb_xfixes_expand_region_request_t;
658
660 #define XCB_XFIXES_HIDE_CURSOR 29
661
665 typedef struct xcb_xfixes_hide_cursor_request_t {
666 uint8_t major_opcode;
667 uint8_t minor_opcode;
668 uint16_t length;
669 xcb_window_t window;
670 } xcb_xfixes_hide_cursor_request_t;
671
673 #define XCB_XFIXES_SHOW_CURSOR 30
674
678 typedef struct xcb_xfixes_show_cursor_request_t {
679 uint8_t major_opcode;
680 uint8_t minor_opcode;
681 uint16_t length;
682 xcb_window_t window;
683 } xcb_xfixes_show_cursor_request_t;
684
694 /*****************************************************************************
695 **
696 ** xcb_xfixes_query_version_cookie_t xcb_xfixes_query_version
697 **
698 ** @param xcb_connection_t *c
699 ** @param uint32_t client_major_version
700 ** @param uint32_t client_minor_version
701 ** @returns xcb_xfixes_query_version_cookie_t
702 **
703 *****************************************************************************/
704
705 xcb_xfixes_query_version_cookie_t
706 xcb_xfixes_query_version (xcb_connection_t *c ,
707 uint32_t client_major_version ,
708 uint32_t client_minor_version );
709
722 /*****************************************************************************
723 **
724 ** xcb_xfixes_query_version_cookie_t xcb_xfixes_query_version_unchecked
725 **
726 ** @param xcb_connection_t *c
727 ** @param uint32_t client_major_version
728 ** @param uint32_t client_minor_version
729 ** @returns xcb_xfixes_query_version_cookie_t
730 **
731 *****************************************************************************/
732
733 xcb_xfixes_query_version_cookie_t
734 xcb_xfixes_query_version_unchecked (xcb_connection_t *c ,
735 uint32_t client_major_version ,
736 uint32_t client_minor_version );
737
753 /*****************************************************************************
754 **
755 ** xcb_xfixes_query_version_reply_t * xcb_xfixes_query_version_reply
756 **
757 ** @param xcb_connection_t *c
758 ** @param xcb_xfixes_query_version_cookie_t cookie
759 ** @param xcb_generic_error_t **e
760 ** @returns xcb_xfixes_query_version_reply_t *
761 **
762 *****************************************************************************/
763
764 xcb_xfixes_query_version_reply_t *
765 xcb_xfixes_query_version_reply (xcb_connection_t *c ,
766 xcb_xfixes_query_version_cookie_t cookie ,
767 xcb_generic_error_t **e );
768
781 /*****************************************************************************
782 **
783 ** xcb_void_cookie_t xcb_xfixes_change_save_set_checked
784 **
785 ** @param xcb_connection_t *c
786 ** @param uint8_t mode
787 ** @param uint8_t target
788 ** @param uint8_t map
789 ** @param xcb_window_t window
790 ** @returns xcb_void_cookie_t
791 **
792 *****************************************************************************/
793
794 xcb_void_cookie_t
795 xcb_xfixes_change_save_set_checked (xcb_connection_t *c ,
796 uint8_t mode ,
797 uint8_t target ,
798 uint8_t map ,
799 xcb_window_t window );
800
810 /*****************************************************************************
811 **
812 ** xcb_void_cookie_t xcb_xfixes_change_save_set
813 **
814 ** @param xcb_connection_t *c
815 ** @param uint8_t mode
816 ** @param uint8_t target
817 ** @param uint8_t map
818 ** @param xcb_window_t window
819 ** @returns xcb_void_cookie_t
820 **
821 *****************************************************************************/
822
823 xcb_void_cookie_t
824 xcb_xfixes_change_save_set (xcb_connection_t *c ,
825 uint8_t mode ,
826 uint8_t target ,
827 uint8_t map ,
828 xcb_window_t window );
829
842 /*****************************************************************************
843 **
844 ** xcb_void_cookie_t xcb_xfixes_select_selection_input_checked
845 **
846 ** @param xcb_connection_t *c
847 ** @param xcb_window_t window
848 ** @param xcb_atom_t selection
849 ** @param uint32_t event_mask
850 ** @returns xcb_void_cookie_t
851 **
852 *****************************************************************************/
853
854 xcb_void_cookie_t
855 xcb_xfixes_select_selection_input_checked (xcb_connection_t *c ,
856 xcb_window_t window ,
857 xcb_atom_t selection ,
858 uint32_t event_mask );
859
869 /*****************************************************************************
870 **
871 ** xcb_void_cookie_t xcb_xfixes_select_selection_input
872 **
873 ** @param xcb_connection_t *c
874 ** @param xcb_window_t window
875 ** @param xcb_atom_t selection
876 ** @param uint32_t event_mask
877 ** @returns xcb_void_cookie_t
878 **
879 *****************************************************************************/
880
881 xcb_void_cookie_t
882 xcb_xfixes_select_selection_input (xcb_connection_t *c ,
883 xcb_window_t window ,
884 xcb_atom_t selection ,
885 uint32_t event_mask );
886
899 /*****************************************************************************
900 **
901 ** xcb_void_cookie_t xcb_xfixes_select_cursor_input_checked
902 **
903 ** @param xcb_connection_t *c
904 ** @param xcb_window_t window
905 ** @param uint32_t event_mask
906 ** @returns xcb_void_cookie_t
907 **
908 *****************************************************************************/
909
910 xcb_void_cookie_t
911 xcb_xfixes_select_cursor_input_checked (xcb_connection_t *c ,
912 xcb_window_t window ,
913 uint32_t event_mask );
914
924 /*****************************************************************************
925 **
926 ** xcb_void_cookie_t xcb_xfixes_select_cursor_input
927 **
928 ** @param xcb_connection_t *c
929 ** @param xcb_window_t window
930 ** @param uint32_t event_mask
931 ** @returns xcb_void_cookie_t
932 **
933 *****************************************************************************/
934
935 xcb_void_cookie_t
936 xcb_xfixes_select_cursor_input (xcb_connection_t *c ,
937 xcb_window_t window ,
938 uint32_t event_mask );
939
940 int
941 xcb_xfixes_get_cursor_image_sizeof (const void *_buffer );
942
952 /*****************************************************************************
953 **
954 ** xcb_xfixes_get_cursor_image_cookie_t xcb_xfixes_get_cursor_image
955 **
956 ** @param xcb_connection_t *c
957 ** @returns xcb_xfixes_get_cursor_image_cookie_t
958 **
959 *****************************************************************************/
960
961 xcb_xfixes_get_cursor_image_cookie_t
962 xcb_xfixes_get_cursor_image (xcb_connection_t *c );
963
976 /*****************************************************************************
977 **
978 ** xcb_xfixes_get_cursor_image_cookie_t xcb_xfixes_get_cursor_image_unchecked
979 **
980 ** @param xcb_connection_t *c
981 ** @returns xcb_xfixes_get_cursor_image_cookie_t
982 **
983 *****************************************************************************/
984
985 xcb_xfixes_get_cursor_image_cookie_t
986 xcb_xfixes_get_cursor_image_unchecked (xcb_connection_t *c );
987
988
989 /*****************************************************************************
990 **
991 ** uint32_t * xcb_xfixes_get_cursor_image_cursor_image
992 **
993 ** @param const xcb_xfixes_get_cursor_image_reply_t *R
994 ** @returns uint32_t *
995 **
996 *****************************************************************************/
997
998 uint32_t *
999 xcb_xfixes_get_cursor_image_cursor_image (const xcb_xfixes_get_cursor_image_reply_t *R );
1000
1001
1002 /*****************************************************************************
1003 **
1004 ** int xcb_xfixes_get_cursor_image_cursor_image_length
1005 **
1006 ** @param const xcb_xfixes_get_cursor_image_reply_t *R
1007 ** @returns int
1008 **
1009 *****************************************************************************/
1010
1011 int
1012 xcb_xfixes_get_cursor_image_cursor_image_length (const xcb_xfixes_get_cursor_image_reply_t *R );
1013
1014
1015 /*****************************************************************************
1016 **
1017 ** xcb_generic_iterator_t xcb_xfixes_get_cursor_image_cursor_image_end
1018 **
1019 ** @param const xcb_xfixes_get_cursor_image_reply_t *R
1020 ** @returns xcb_generic_iterator_t
1021 **
1022 *****************************************************************************/
1023
1024 xcb_generic_iterator_t
1025 xcb_xfixes_get_cursor_image_cursor_image_end (const xcb_xfixes_get_cursor_image_reply_t *R );
1026
1042 /*****************************************************************************
1043 **
1044 ** xcb_xfixes_get_cursor_image_reply_t * xcb_xfixes_get_cursor_image_reply
1045 **
1046 ** @param xcb_connection_t *c
1047 ** @param xcb_xfixes_get_cursor_image_cookie_t cookie
1048 ** @param xcb_generic_error_t **e
1049 ** @returns xcb_xfixes_get_cursor_image_reply_t *
1050 **
1051 *****************************************************************************/
1052
1053 xcb_xfixes_get_cursor_image_reply_t *
1054 xcb_xfixes_get_cursor_image_reply (xcb_connection_t *c ,
1055 xcb_xfixes_get_cursor_image_cookie_t cookie ,
1056 xcb_generic_error_t **e );
1057
1067 /*****************************************************************************
1068 **
1069 ** void xcb_xfixes_region_next
1070 **
1071 ** @param xcb_xfixes_region_iterator_t *i
1072 ** @returns void
1073 **
1074 *****************************************************************************/
1075
1076 void
1077 xcb_xfixes_region_next (xcb_xfixes_region_iterator_t *i );
1078
1089 /*****************************************************************************
1090 **
1091 ** xcb_generic_iterator_t xcb_xfixes_region_end
1092 **
1093 ** @param xcb_xfixes_region_iterator_t i
1094 ** @returns xcb_generic_iterator_t
1095 **
1096 *****************************************************************************/
1097
1098 xcb_generic_iterator_t
1099 xcb_xfixes_region_end (xcb_xfixes_region_iterator_t i );
1100
1101 int
1102 xcb_xfixes_create_region_sizeof (const void *_buffer ,
1103 uint32_t rectangles_len );
1104
1117 /*****************************************************************************
1118 **
1119 ** xcb_void_cookie_t xcb_xfixes_create_region_checked
1120 **
1121 ** @param xcb_connection_t *c
1122 ** @param xcb_xfixes_region_t region
1123 ** @param uint32_t rectangles_len
1124 ** @param const xcb_rectangle_t *rectangles
1125 ** @returns xcb_void_cookie_t
1126 **
1127 *****************************************************************************/
1128
1129 xcb_void_cookie_t
1130 xcb_xfixes_create_region_checked (xcb_connection_t *c ,
1131 xcb_xfixes_region_t region ,
1132 uint32_t rectangles_len ,
1133 const xcb_rectangle_t *rectangles );
1134
1144 /*****************************************************************************
1145 **
1146 ** xcb_void_cookie_t xcb_xfixes_create_region
1147 **
1148 ** @param xcb_connection_t *c
1149 ** @param xcb_xfixes_region_t region
1150 ** @param uint32_t rectangles_len
1151 ** @param const xcb_rectangle_t *rectangles
1152 ** @returns xcb_void_cookie_t
1153 **
1154 *****************************************************************************/
1155
1156 xcb_void_cookie_t
1157 xcb_xfixes_create_region (xcb_connection_t *c ,
1158 xcb_xfixes_region_t region ,
1159 uint32_t rectangles_len ,
1160 const xcb_rectangle_t *rectangles );
1161
1174 /*****************************************************************************
1175 **
1176 ** xcb_void_cookie_t xcb_xfixes_create_region_from_bitmap_checked
1177 **
1178 ** @param xcb_connection_t *c
1179 ** @param xcb_xfixes_region_t region
1180 ** @param xcb_pixmap_t bitmap
1181 ** @returns xcb_void_cookie_t
1182 **
1183 *****************************************************************************/
1184
1185 xcb_void_cookie_t
1186 xcb_xfixes_create_region_from_bitmap_checked (xcb_connection_t *c ,
1187 xcb_xfixes_region_t region ,
1188 xcb_pixmap_t bitmap );
1189
1199 /*****************************************************************************
1200 **
1201 ** xcb_void_cookie_t xcb_xfixes_create_region_from_bitmap
1202 **
1203 ** @param xcb_connection_t *c
1204 ** @param xcb_xfixes_region_t region
1205 ** @param xcb_pixmap_t bitmap
1206 ** @returns xcb_void_cookie_t
1207 **
1208 *****************************************************************************/
1209
1210 xcb_void_cookie_t
1211 xcb_xfixes_create_region_from_bitmap (xcb_connection_t *c ,
1212 xcb_xfixes_region_t region ,
1213 xcb_pixmap_t bitmap );
1214
1227 /*****************************************************************************
1228 **
1229 ** xcb_void_cookie_t xcb_xfixes_create_region_from_window_checked
1230 **
1231 ** @param xcb_connection_t *c
1232 ** @param xcb_xfixes_region_t region
1233 ** @param xcb_window_t window
1234 ** @param xcb_shape_kind_t kind
1235 ** @returns xcb_void_cookie_t
1236 **
1237 *****************************************************************************/
1238
1239 xcb_void_cookie_t
1240 xcb_xfixes_create_region_from_window_checked (xcb_connection_t *c ,
1241 xcb_xfixes_region_t region ,
1242 xcb_window_t window ,
1243 xcb_shape_kind_t kind );
1244
1254 /*****************************************************************************
1255 **
1256 ** xcb_void_cookie_t xcb_xfixes_create_region_from_window
1257 **
1258 ** @param xcb_connection_t *c
1259 ** @param xcb_xfixes_region_t region
1260 ** @param xcb_window_t window
1261 ** @param xcb_shape_kind_t kind
1262 ** @returns xcb_void_cookie_t
1263 **
1264 *****************************************************************************/
1265
1266 xcb_void_cookie_t
1267 xcb_xfixes_create_region_from_window (xcb_connection_t *c ,
1268 xcb_xfixes_region_t region ,
1269 xcb_window_t window ,
1270 xcb_shape_kind_t kind );
1271
1284 /*****************************************************************************
1285 **
1286 ** xcb_void_cookie_t xcb_xfixes_create_region_from_gc_checked
1287 **
1288 ** @param xcb_connection_t *c
1289 ** @param xcb_xfixes_region_t region
1290 ** @param xcb_gcontext_t gc
1291 ** @returns xcb_void_cookie_t
1292 **
1293 *****************************************************************************/
1294
1295 xcb_void_cookie_t
1296 xcb_xfixes_create_region_from_gc_checked (xcb_connection_t *c ,
1297 xcb_xfixes_region_t region ,
1298 xcb_gcontext_t gc );
1299
1309 /*****************************************************************************
1310 **
1311 ** xcb_void_cookie_t xcb_xfixes_create_region_from_gc
1312 **
1313 ** @param xcb_connection_t *c
1314 ** @param xcb_xfixes_region_t region
1315 ** @param xcb_gcontext_t gc
1316 ** @returns xcb_void_cookie_t
1317 **
1318 *****************************************************************************/
1319
1320 xcb_void_cookie_t
1321 xcb_xfixes_create_region_from_gc (xcb_connection_t *c ,
1322 xcb_xfixes_region_t region ,
1323 xcb_gcontext_t gc );
1324
1337 /*****************************************************************************
1338 **
1339 ** xcb_void_cookie_t xcb_xfixes_create_region_from_picture_checked
1340 **
1341 ** @param xcb_connection_t *c
1342 ** @param xcb_xfixes_region_t region
1343 ** @param xcb_render_picture_t picture
1344 ** @returns xcb_void_cookie_t
1345 **
1346 *****************************************************************************/
1347
1348 xcb_void_cookie_t
1349 xcb_xfixes_create_region_from_picture_checked (xcb_connection_t *c ,
1350 xcb_xfixes_region_t region ,
1351 xcb_render_picture_t picture );
1352
1362 /*****************************************************************************
1363 **
1364 ** xcb_void_cookie_t xcb_xfixes_create_region_from_picture
1365 **
1366 ** @param xcb_connection_t *c
1367 ** @param xcb_xfixes_region_t region
1368 ** @param xcb_render_picture_t picture
1369 ** @returns xcb_void_cookie_t
1370 **
1371 *****************************************************************************/
1372
1373 xcb_void_cookie_t
1374 xcb_xfixes_create_region_from_picture (xcb_connection_t *c ,
1375 xcb_xfixes_region_t region ,
1376 xcb_render_picture_t picture );
1377
1390 /*****************************************************************************
1391 **
1392 ** xcb_void_cookie_t xcb_xfixes_destroy_region_checked
1393 **
1394 ** @param xcb_connection_t *c
1395 ** @param xcb_xfixes_region_t region
1396 ** @returns xcb_void_cookie_t
1397 **
1398 *****************************************************************************/
1399
1400 xcb_void_cookie_t
1401 xcb_xfixes_destroy_region_checked (xcb_connection_t *c ,
1402 xcb_xfixes_region_t region );
1403
1413 /*****************************************************************************
1414 **
1415 ** xcb_void_cookie_t xcb_xfixes_destroy_region
1416 **
1417 ** @param xcb_connection_t *c
1418 ** @param xcb_xfixes_region_t region
1419 ** @returns xcb_void_cookie_t
1420 **
1421 *****************************************************************************/
1422
1423 xcb_void_cookie_t
1424 xcb_xfixes_destroy_region (xcb_connection_t *c ,
1425 xcb_xfixes_region_t region );
1426
1427 int
1428 xcb_xfixes_set_region_sizeof (const void *_buffer ,
1429 uint32_t rectangles_len );
1430
1443 /*****************************************************************************
1444 **
1445 ** xcb_void_cookie_t xcb_xfixes_set_region_checked
1446 **
1447 ** @param xcb_connection_t *c
1448 ** @param xcb_xfixes_region_t region
1449 ** @param uint32_t rectangles_len
1450 ** @param const xcb_rectangle_t *rectangles
1451 ** @returns xcb_void_cookie_t
1452 **
1453 *****************************************************************************/
1454
1455 xcb_void_cookie_t
1456 xcb_xfixes_set_region_checked (xcb_connection_t *c ,
1457 xcb_xfixes_region_t region ,
1458 uint32_t rectangles_len ,
1459 const xcb_rectangle_t *rectangles );
1460
1470 /*****************************************************************************
1471 **
1472 ** xcb_void_cookie_t xcb_xfixes_set_region
1473 **
1474 ** @param xcb_connection_t *c
1475 ** @param xcb_xfixes_region_t region
1476 ** @param uint32_t rectangles_len
1477 ** @param const xcb_rectangle_t *rectangles
1478 ** @returns xcb_void_cookie_t
1479 **
1480 *****************************************************************************/
1481
1482 xcb_void_cookie_t
1483 xcb_xfixes_set_region (xcb_connection_t *c ,
1484 xcb_xfixes_region_t region ,
1485 uint32_t rectangles_len ,
1486 const xcb_rectangle_t *rectangles );
1487
1500 /*****************************************************************************
1501 **
1502 ** xcb_void_cookie_t xcb_xfixes_copy_region_checked
1503 **
1504 ** @param xcb_connection_t *c
1505 ** @param xcb_xfixes_region_t source
1506 ** @param xcb_xfixes_region_t destination
1507 ** @returns xcb_void_cookie_t
1508 **
1509 *****************************************************************************/
1510
1511 xcb_void_cookie_t
1512 xcb_xfixes_copy_region_checked (xcb_connection_t *c ,
1513 xcb_xfixes_region_t source ,
1514 xcb_xfixes_region_t destination );
1515
1525 /*****************************************************************************
1526 **
1527 ** xcb_void_cookie_t xcb_xfixes_copy_region
1528 **
1529 ** @param xcb_connection_t *c
1530 ** @param xcb_xfixes_region_t source
1531 ** @param xcb_xfixes_region_t destination
1532 ** @returns xcb_void_cookie_t
1533 **
1534 *****************************************************************************/
1535
1536 xcb_void_cookie_t
1537 xcb_xfixes_copy_region (xcb_connection_t *c ,
1538 xcb_xfixes_region_t source ,
1539 xcb_xfixes_region_t destination );
1540
1553 /*****************************************************************************
1554 **
1555 ** xcb_void_cookie_t xcb_xfixes_union_region_checked
1556 **
1557 ** @param xcb_connection_t *c
1558 ** @param xcb_xfixes_region_t source1
1559 ** @param xcb_xfixes_region_t source2
1560 ** @param xcb_xfixes_region_t destination
1561 ** @returns xcb_void_cookie_t
1562 **
1563 *****************************************************************************/
1564
1565 xcb_void_cookie_t
1566 xcb_xfixes_union_region_checked (xcb_connection_t *c ,
1567 xcb_xfixes_region_t source1 ,
1568 xcb_xfixes_region_t source2 ,
1569 xcb_xfixes_region_t destination );
1570
1580 /*****************************************************************************
1581 **
1582 ** xcb_void_cookie_t xcb_xfixes_union_region
1583 **
1584 ** @param xcb_connection_t *c
1585 ** @param xcb_xfixes_region_t source1
1586 ** @param xcb_xfixes_region_t source2
1587 ** @param xcb_xfixes_region_t destination
1588 ** @returns xcb_void_cookie_t
1589 **
1590 *****************************************************************************/
1591
1592 xcb_void_cookie_t
1593 xcb_xfixes_union_region (xcb_connection_t *c ,
1594 xcb_xfixes_region_t source1 ,
1595 xcb_xfixes_region_t source2 ,
1596 xcb_xfixes_region_t destination );
1597
1610 /*****************************************************************************
1611 **
1612 ** xcb_void_cookie_t xcb_xfixes_intersect_region_checked
1613 **
1614 ** @param xcb_connection_t *c
1615 ** @param xcb_xfixes_region_t source1
1616 ** @param xcb_xfixes_region_t source2
1617 ** @param xcb_xfixes_region_t destination
1618 ** @returns xcb_void_cookie_t
1619 **
1620 *****************************************************************************/
1621
1622 xcb_void_cookie_t
1623 xcb_xfixes_intersect_region_checked (xcb_connection_t *c ,
1624 xcb_xfixes_region_t source1 ,
1625 xcb_xfixes_region_t source2 ,
1626 xcb_xfixes_region_t destination );
1627
1637 /*****************************************************************************
1638 **
1639 ** xcb_void_cookie_t xcb_xfixes_intersect_region
1640 **
1641 ** @param xcb_connection_t *c
1642 ** @param xcb_xfixes_region_t source1
1643 ** @param xcb_xfixes_region_t source2
1644 ** @param xcb_xfixes_region_t destination
1645 ** @returns xcb_void_cookie_t
1646 **
1647 *****************************************************************************/
1648
1649 xcb_void_cookie_t
1650 xcb_xfixes_intersect_region (xcb_connection_t *c ,
1651 xcb_xfixes_region_t source1 ,
1652 xcb_xfixes_region_t source2 ,
1653 xcb_xfixes_region_t destination );
1654
1667 /*****************************************************************************
1668 **
1669 ** xcb_void_cookie_t xcb_xfixes_subtract_region_checked
1670 **
1671 ** @param xcb_connection_t *c
1672 ** @param xcb_xfixes_region_t source1
1673 ** @param xcb_xfixes_region_t source2
1674 ** @param xcb_xfixes_region_t destination
1675 ** @returns xcb_void_cookie_t
1676 **
1677 *****************************************************************************/
1678
1679 xcb_void_cookie_t
1680 xcb_xfixes_subtract_region_checked (xcb_connection_t *c ,
1681 xcb_xfixes_region_t source1 ,
1682 xcb_xfixes_region_t source2 ,
1683 xcb_xfixes_region_t destination );
1684
1694 /*****************************************************************************
1695 **
1696 ** xcb_void_cookie_t xcb_xfixes_subtract_region
1697 **
1698 ** @param xcb_connection_t *c
1699 ** @param xcb_xfixes_region_t source1
1700 ** @param xcb_xfixes_region_t source2
1701 ** @param xcb_xfixes_region_t destination
1702 ** @returns xcb_void_cookie_t
1703 **
1704 *****************************************************************************/
1705
1706 xcb_void_cookie_t
1707 xcb_xfixes_subtract_region (xcb_connection_t *c ,
1708 xcb_xfixes_region_t source1 ,
1709 xcb_xfixes_region_t source2 ,
1710 xcb_xfixes_region_t destination );
1711
1724 /*****************************************************************************
1725 **
1726 ** xcb_void_cookie_t xcb_xfixes_invert_region_checked
1727 **
1728 ** @param xcb_connection_t *c
1729 ** @param xcb_xfixes_region_t source
1730 ** @param xcb_rectangle_t bounds
1731 ** @param xcb_xfixes_region_t destination
1732 ** @returns xcb_void_cookie_t
1733 **
1734 *****************************************************************************/
1735
1736 xcb_void_cookie_t
1737 xcb_xfixes_invert_region_checked (xcb_connection_t *c ,
1738 xcb_xfixes_region_t source ,
1739 xcb_rectangle_t bounds ,
1740 xcb_xfixes_region_t destination );
1741
1751 /*****************************************************************************
1752 **
1753 ** xcb_void_cookie_t xcb_xfixes_invert_region
1754 **
1755 ** @param xcb_connection_t *c
1756 ** @param xcb_xfixes_region_t source
1757 ** @param xcb_rectangle_t bounds
1758 ** @param xcb_xfixes_region_t destination
1759 ** @returns xcb_void_cookie_t
1760 **
1761 *****************************************************************************/
1762
1763 xcb_void_cookie_t
1764 xcb_xfixes_invert_region (xcb_connection_t *c ,
1765 xcb_xfixes_region_t source ,
1766 xcb_rectangle_t bounds ,
1767 xcb_xfixes_region_t destination );
1768
1781 /*****************************************************************************
1782 **
1783 ** xcb_void_cookie_t xcb_xfixes_translate_region_checked
1784 **
1785 ** @param xcb_connection_t *c
1786 ** @param xcb_xfixes_region_t region
1787 ** @param int16_t dx
1788 ** @param int16_t dy
1789 ** @returns xcb_void_cookie_t
1790 **
1791 *****************************************************************************/
1792
1793 xcb_void_cookie_t
1794 xcb_xfixes_translate_region_checked (xcb_connection_t *c ,
1795 xcb_xfixes_region_t region ,
1796 int16_t dx ,
1797 int16_t dy );
1798
1808 /*****************************************************************************
1809 **
1810 ** xcb_void_cookie_t xcb_xfixes_translate_region
1811 **
1812 ** @param xcb_connection_t *c
1813 ** @param xcb_xfixes_region_t region
1814 ** @param int16_t dx
1815 ** @param int16_t dy
1816 ** @returns xcb_void_cookie_t
1817 **
1818 *****************************************************************************/
1819
1820 xcb_void_cookie_t
1821 xcb_xfixes_translate_region (xcb_connection_t *c ,
1822 xcb_xfixes_region_t region ,
1823 int16_t dx ,
1824 int16_t dy );
1825
1838 /*****************************************************************************
1839 **
1840 ** xcb_void_cookie_t xcb_xfixes_region_extents_checked
1841 **
1842 ** @param xcb_connection_t *c
1843 ** @param xcb_xfixes_region_t source
1844 ** @param xcb_xfixes_region_t destination
1845 ** @returns xcb_void_cookie_t
1846 **
1847 *****************************************************************************/
1848
1849 xcb_void_cookie_t
1850 xcb_xfixes_region_extents_checked (xcb_connection_t *c ,
1851 xcb_xfixes_region_t source ,
1852 xcb_xfixes_region_t destination );
1853
1863 /*****************************************************************************
1864 **
1865 ** xcb_void_cookie_t xcb_xfixes_region_extents
1866 **
1867 ** @param xcb_connection_t *c
1868 ** @param xcb_xfixes_region_t source
1869 ** @param xcb_xfixes_region_t destination
1870 ** @returns xcb_void_cookie_t
1871 **
1872 *****************************************************************************/
1873
1874 xcb_void_cookie_t
1875 xcb_xfixes_region_extents (xcb_connection_t *c ,
1876 xcb_xfixes_region_t source ,
1877 xcb_xfixes_region_t destination );
1878
1879 int
1880 xcb_xfixes_fetch_region_sizeof (const void *_buffer );
1881
1891 /*****************************************************************************
1892 **
1893 ** xcb_xfixes_fetch_region_cookie_t xcb_xfixes_fetch_region
1894 **
1895 ** @param xcb_connection_t *c
1896 ** @param xcb_xfixes_region_t region
1897 ** @returns xcb_xfixes_fetch_region_cookie_t
1898 **
1899 *****************************************************************************/
1900
1901 xcb_xfixes_fetch_region_cookie_t
1902 xcb_xfixes_fetch_region (xcb_connection_t *c ,
1903 xcb_xfixes_region_t region );
1904
1917 /*****************************************************************************
1918 **
1919 ** xcb_xfixes_fetch_region_cookie_t xcb_xfixes_fetch_region_unchecked
1920 **
1921 ** @param xcb_connection_t *c
1922 ** @param xcb_xfixes_region_t region
1923 ** @returns xcb_xfixes_fetch_region_cookie_t
1924 **
1925 *****************************************************************************/
1926
1927 xcb_xfixes_fetch_region_cookie_t
1928 xcb_xfixes_fetch_region_unchecked (xcb_connection_t *c ,
1929 xcb_xfixes_region_t region );
1930
1931
1932 /*****************************************************************************
1933 **
1934 ** xcb_rectangle_t * xcb_xfixes_fetch_region_rectangles
1935 **
1936 ** @param const xcb_xfixes_fetch_region_reply_t *R
1937 ** @returns xcb_rectangle_t *
1938 **
1939 *****************************************************************************/
1940
1941 xcb_rectangle_t *
1942 xcb_xfixes_fetch_region_rectangles (const xcb_xfixes_fetch_region_reply_t *R );
1943
1944
1945 /*****************************************************************************
1946 **
1947 ** int xcb_xfixes_fetch_region_rectangles_length
1948 **
1949 ** @param const xcb_xfixes_fetch_region_reply_t *R
1950 ** @returns int
1951 **
1952 *****************************************************************************/
1953
1954 int
1955 xcb_xfixes_fetch_region_rectangles_length (const xcb_xfixes_fetch_region_reply_t *R );
1956
1957
1958 /*****************************************************************************
1959 **
1960 ** xcb_rectangle_iterator_t xcb_xfixes_fetch_region_rectangles_iterator
1961 **
1962 ** @param const xcb_xfixes_fetch_region_reply_t *R
1963 ** @returns xcb_rectangle_iterator_t
1964 **
1965 *****************************************************************************/
1966
1967 xcb_rectangle_iterator_t
1968 xcb_xfixes_fetch_region_rectangles_iterator (const xcb_xfixes_fetch_region_reply_t *R );
1969
1985 /*****************************************************************************
1986 **
1987 ** xcb_xfixes_fetch_region_reply_t * xcb_xfixes_fetch_region_reply
1988 **
1989 ** @param xcb_connection_t *c
1990 ** @param xcb_xfixes_fetch_region_cookie_t cookie
1991 ** @param xcb_generic_error_t **e
1992 ** @returns xcb_xfixes_fetch_region_reply_t *
1993 **
1994 *****************************************************************************/
1995
1996 xcb_xfixes_fetch_region_reply_t *
1997 xcb_xfixes_fetch_region_reply (xcb_connection_t *c ,
1998 xcb_xfixes_fetch_region_cookie_t cookie ,
1999 xcb_generic_error_t **e );
2000
2013 /*****************************************************************************
2014 **
2015 ** xcb_void_cookie_t xcb_xfixes_set_gc_clip_region_checked
2016 **
2017 ** @param xcb_connection_t *c
2018 ** @param xcb_gcontext_t gc
2019 ** @param xcb_xfixes_region_t region
2020 ** @param int16_t x_origin
2021 ** @param int16_t y_origin
2022 ** @returns xcb_void_cookie_t
2023 **
2024 *****************************************************************************/
2025
2026 xcb_void_cookie_t
2027 xcb_xfixes_set_gc_clip_region_checked (xcb_connection_t *c ,
2028 xcb_gcontext_t gc ,
2029 xcb_xfixes_region_t region ,
2030 int16_t x_origin ,
2031 int16_t y_origin );
2032
2042 /*****************************************************************************
2043 **
2044 ** xcb_void_cookie_t xcb_xfixes_set_gc_clip_region
2045 **
2046 ** @param xcb_connection_t *c
2047 ** @param xcb_gcontext_t gc
2048 ** @param xcb_xfixes_region_t region
2049 ** @param int16_t x_origin
2050 ** @param int16_t y_origin
2051 ** @returns xcb_void_cookie_t
2052 **
2053 *****************************************************************************/
2054
2055 xcb_void_cookie_t
2056 xcb_xfixes_set_gc_clip_region (xcb_connection_t *c ,
2057 xcb_gcontext_t gc ,
2058 xcb_xfixes_region_t region ,
2059 int16_t x_origin ,
2060 int16_t y_origin );
2061
2074 /*****************************************************************************
2075 **
2076 ** xcb_void_cookie_t xcb_xfixes_set_window_shape_region_checked
2077 **
2078 ** @param xcb_connection_t *c
2079 ** @param xcb_window_t dest
2080 ** @param xcb_shape_kind_t dest_kind
2081 ** @param int16_t x_offset
2082 ** @param int16_t y_offset
2083 ** @param xcb_xfixes_region_t region
2084 ** @returns xcb_void_cookie_t
2085 **
2086 *****************************************************************************/
2087
2088 xcb_void_cookie_t
2089 xcb_xfixes_set_window_shape_region_checked (xcb_connection_t *c ,
2090 xcb_window_t dest ,
2091 xcb_shape_kind_t dest_kind ,
2092 int16_t x_offset ,
2093 int16_t y_offset ,
2094 xcb_xfixes_region_t region );
2095
2105 /*****************************************************************************
2106 **
2107 ** xcb_void_cookie_t xcb_xfixes_set_window_shape_region
2108 **
2109 ** @param xcb_connection_t *c
2110 ** @param xcb_window_t dest
2111 ** @param xcb_shape_kind_t dest_kind
2112 ** @param int16_t x_offset
2113 ** @param int16_t y_offset
2114 ** @param xcb_xfixes_region_t region
2115 ** @returns xcb_void_cookie_t
2116 **
2117 *****************************************************************************/
2118
2119 xcb_void_cookie_t
2120 xcb_xfixes_set_window_shape_region (xcb_connection_t *c ,
2121 xcb_window_t dest ,
2122 xcb_shape_kind_t dest_kind ,
2123 int16_t x_offset ,
2124 int16_t y_offset ,
2125 xcb_xfixes_region_t region );
2126
2139 /*****************************************************************************
2140 **
2141 ** xcb_void_cookie_t xcb_xfixes_set_picture_clip_region_checked
2142 **
2143 ** @param xcb_connection_t *c
2144 ** @param xcb_render_picture_t picture
2145 ** @param xcb_xfixes_region_t region
2146 ** @param int16_t x_origin
2147 ** @param int16_t y_origin
2148 ** @returns xcb_void_cookie_t
2149 **
2150 *****************************************************************************/
2151
2152 xcb_void_cookie_t
2153 xcb_xfixes_set_picture_clip_region_checked (xcb_connection_t *c ,
2154 xcb_render_picture_t picture ,
2155 xcb_xfixes_region_t region ,
2156 int16_t x_origin ,
2157 int16_t y_origin );
2158
2168 /*****************************************************************************
2169 **
2170 ** xcb_void_cookie_t xcb_xfixes_set_picture_clip_region
2171 **
2172 ** @param xcb_connection_t *c
2173 ** @param xcb_render_picture_t picture
2174 ** @param xcb_xfixes_region_t region
2175 ** @param int16_t x_origin
2176 ** @param int16_t y_origin
2177 ** @returns xcb_void_cookie_t
2178 **
2179 *****************************************************************************/
2180
2181 xcb_void_cookie_t
2182 xcb_xfixes_set_picture_clip_region (xcb_connection_t *c ,
2183 xcb_render_picture_t picture ,
2184 xcb_xfixes_region_t region ,
2185 int16_t x_origin ,
2186 int16_t y_origin );
2187
2188 int
2189 xcb_xfixes_set_cursor_name_sizeof (const void *_buffer );
2190
2203 /*****************************************************************************
2204 **
2205 ** xcb_void_cookie_t xcb_xfixes_set_cursor_name_checked
2206 **
2207 ** @param xcb_connection_t *c
2208 ** @param xcb_cursor_t cursor
2209 ** @param uint16_t nbytes
2210 ** @param const char *name
2211 ** @returns xcb_void_cookie_t
2212 **
2213 *****************************************************************************/
2214
2215 xcb_void_cookie_t
2216 xcb_xfixes_set_cursor_name_checked (xcb_connection_t *c ,
2217 xcb_cursor_t cursor ,
2218 uint16_t nbytes ,
2219 const char *name );
2220
2230 /*****************************************************************************
2231 **
2232 ** xcb_void_cookie_t xcb_xfixes_set_cursor_name
2233 **
2234 ** @param xcb_connection_t *c
2235 ** @param xcb_cursor_t cursor
2236 ** @param uint16_t nbytes
2237 ** @param const char *name
2238 ** @returns xcb_void_cookie_t
2239 **
2240 *****************************************************************************/
2241
2242 xcb_void_cookie_t
2243 xcb_xfixes_set_cursor_name (xcb_connection_t *c ,
2244 xcb_cursor_t cursor ,
2245 uint16_t nbytes ,
2246 const char *name );
2247
2248 int
2249 xcb_xfixes_get_cursor_name_sizeof (const void *_buffer );
2250
2260 /*****************************************************************************
2261 **
2262 ** xcb_xfixes_get_cursor_name_cookie_t xcb_xfixes_get_cursor_name
2263 **
2264 ** @param xcb_connection_t *c
2265 ** @param xcb_cursor_t cursor
2266 ** @returns xcb_xfixes_get_cursor_name_cookie_t
2267 **
2268 *****************************************************************************/
2269
2270 xcb_xfixes_get_cursor_name_cookie_t
2271 xcb_xfixes_get_cursor_name (xcb_connection_t *c ,
2272 xcb_cursor_t cursor );
2273
2286 /*****************************************************************************
2287 **
2288 ** xcb_xfixes_get_cursor_name_cookie_t xcb_xfixes_get_cursor_name_unchecked
2289 **
2290 ** @param xcb_connection_t *c
2291 ** @param xcb_cursor_t cursor
2292 ** @returns xcb_xfixes_get_cursor_name_cookie_t
2293 **
2294 *****************************************************************************/
2295
2296 xcb_xfixes_get_cursor_name_cookie_t
2297 xcb_xfixes_get_cursor_name_unchecked (xcb_connection_t *c ,
2298 xcb_cursor_t cursor );
2299
2300
2301 /*****************************************************************************
2302 **
2303 ** char * xcb_xfixes_get_cursor_name_name
2304 **
2305 ** @param const xcb_xfixes_get_cursor_name_reply_t *R
2306 ** @returns char *
2307 **
2308 *****************************************************************************/
2309
2310 char *
2311 xcb_xfixes_get_cursor_name_name (const xcb_xfixes_get_cursor_name_reply_t *R );
2312
2313
2314 /*****************************************************************************
2315 **
2316 ** int xcb_xfixes_get_cursor_name_name_length
2317 **
2318 ** @param const xcb_xfixes_get_cursor_name_reply_t *R
2319 ** @returns int
2320 **
2321 *****************************************************************************/
2322
2323 int
2324 xcb_xfixes_get_cursor_name_name_length (const xcb_xfixes_get_cursor_name_reply_t *R );
2325
2326
2327 /*****************************************************************************
2328 **
2329 ** xcb_generic_iterator_t xcb_xfixes_get_cursor_name_name_end
2330 **
2331 ** @param const xcb_xfixes_get_cursor_name_reply_t *R
2332 ** @returns xcb_generic_iterator_t
2333 **
2334 *****************************************************************************/
2335
2336 xcb_generic_iterator_t
2337 xcb_xfixes_get_cursor_name_name_end (const xcb_xfixes_get_cursor_name_reply_t *R );
2338
2354 /*****************************************************************************
2355 **
2356 ** xcb_xfixes_get_cursor_name_reply_t * xcb_xfixes_get_cursor_name_reply
2357 **
2358 ** @param xcb_connection_t *c
2359 ** @param xcb_xfixes_get_cursor_name_cookie_t cookie
2360 ** @param xcb_generic_error_t **e
2361 ** @returns xcb_xfixes_get_cursor_name_reply_t *
2362 **
2363 *****************************************************************************/
2364
2365 xcb_xfixes_get_cursor_name_reply_t *
2366 xcb_xfixes_get_cursor_name_reply (xcb_connection_t *c ,
2367 xcb_xfixes_get_cursor_name_cookie_t cookie ,
2368 xcb_generic_error_t **e );
2369
2370 int
2371 xcb_xfixes_get_cursor_image_and_name_sizeof (const void *_buffer );
2372
2382 /*****************************************************************************
2383 **
2384 ** xcb_xfixes_get_cursor_image_and_name_cookie_t xcb_xfixes_get_cursor_image_and_name
2385 **
2386 ** @param xcb_connection_t *c
2387 ** @returns xcb_xfixes_get_cursor_image_and_name_cookie_t
2388 **
2389 *****************************************************************************/
2390
2391 xcb_xfixes_get_cursor_image_and_name_cookie_t
2392 xcb_xfixes_get_cursor_image_and_name (xcb_connection_t *c );
2393
2406 /*****************************************************************************
2407 **
2408 ** xcb_xfixes_get_cursor_image_and_name_cookie_t xcb_xfixes_get_cursor_image_and_name_unchecked
2409 **
2410 ** @param xcb_connection_t *c
2411 ** @returns xcb_xfixes_get_cursor_image_and_name_cookie_t
2412 **
2413 *****************************************************************************/
2414
2415 xcb_xfixes_get_cursor_image_and_name_cookie_t
2416 xcb_xfixes_get_cursor_image_and_name_unchecked (xcb_connection_t *c );
2417
2418
2419 /*****************************************************************************
2420 **
2421 ** char * xcb_xfixes_get_cursor_image_and_name_name
2422 **
2423 ** @param const xcb_xfixes_get_cursor_image_and_name_reply_t *R
2424 ** @returns char *
2425 **
2426 *****************************************************************************/
2427
2428 char *
2429 xcb_xfixes_get_cursor_image_and_name_name (const xcb_xfixes_get_cursor_image_and_name_reply_t *R );
2430
2431
2432 /*****************************************************************************
2433 **
2434 ** int xcb_xfixes_get_cursor_image_and_name_name_length
2435 **
2436 ** @param const xcb_xfixes_get_cursor_image_and_name_reply_t *R
2437 ** @returns int
2438 **
2439 *****************************************************************************/
2440
2441 int
2442 xcb_xfixes_get_cursor_image_and_name_name_length (const xcb_xfixes_get_cursor_image_and_name_reply_t *R );
2443
2444
2445 /*****************************************************************************
2446 **
2447 ** xcb_generic_iterator_t xcb_xfixes_get_cursor_image_and_name_name_end
2448 **
2449 ** @param const xcb_xfixes_get_cursor_image_and_name_reply_t *R
2450 ** @returns xcb_generic_iterator_t
2451 **
2452 *****************************************************************************/
2453
2454 xcb_generic_iterator_t
2455 xcb_xfixes_get_cursor_image_and_name_name_end (const xcb_xfixes_get_cursor_image_and_name_reply_t *R );
2456
2457
2458 /*****************************************************************************
2459 **
2460 ** uint32_t * xcb_xfixes_get_cursor_image_and_name_cursor_image
2461 **
2462 ** @param const xcb_xfixes_get_cursor_image_and_name_reply_t *R
2463 ** @returns uint32_t *
2464 **
2465 *****************************************************************************/
2466
2467 uint32_t *
2468 xcb_xfixes_get_cursor_image_and_name_cursor_image (const xcb_xfixes_get_cursor_image_and_name_reply_t *R );
2469
2470
2471 /*****************************************************************************
2472 **
2473 ** int xcb_xfixes_get_cursor_image_and_name_cursor_image_length
2474 **
2475 ** @param const xcb_xfixes_get_cursor_image_and_name_reply_t *R
2476 ** @returns int
2477 **
2478 *****************************************************************************/
2479
2480 int
2481 xcb_xfixes_get_cursor_image_and_name_cursor_image_length (const xcb_xfixes_get_cursor_image_and_name_reply_t *R );
2482
2483
2484 /*****************************************************************************
2485 **
2486 ** xcb_generic_iterator_t xcb_xfixes_get_cursor_image_and_name_cursor_image_end
2487 **
2488 ** @param const xcb_xfixes_get_cursor_image_and_name_reply_t *R
2489 ** @returns xcb_generic_iterator_t
2490 **
2491 *****************************************************************************/
2492
2493 xcb_generic_iterator_t
2494 xcb_xfixes_get_cursor_image_and_name_cursor_image_end (const xcb_xfixes_get_cursor_image_and_name_reply_t *R );
2495
2511 /*****************************************************************************
2512 **
2513 ** xcb_xfixes_get_cursor_image_and_name_reply_t * xcb_xfixes_get_cursor_image_and_name_reply
2514 **
2515 ** @param xcb_connection_t *c
2516 ** @param xcb_xfixes_get_cursor_image_and_name_cookie_t cookie
2517 ** @param xcb_generic_error_t **e
2518 ** @returns xcb_xfixes_get_cursor_image_and_name_reply_t *
2519 **
2520 *****************************************************************************/
2521
2522 xcb_xfixes_get_cursor_image_and_name_reply_t *
2523 xcb_xfixes_get_cursor_image_and_name_reply (xcb_connection_t *c ,
2524 xcb_xfixes_get_cursor_image_and_name_cookie_t cookie ,
2525 xcb_generic_error_t **e );
2526
2539 /*****************************************************************************
2540 **
2541 ** xcb_void_cookie_t xcb_xfixes_change_cursor_checked
2542 **
2543 ** @param xcb_connection_t *c
2544 ** @param xcb_cursor_t source
2545 ** @param xcb_cursor_t destination
2546 ** @returns xcb_void_cookie_t
2547 **
2548 *****************************************************************************/
2549
2550 xcb_void_cookie_t
2551 xcb_xfixes_change_cursor_checked (xcb_connection_t *c ,
2552 xcb_cursor_t source ,
2553 xcb_cursor_t destination );
2554
2564 /*****************************************************************************
2565 **
2566 ** xcb_void_cookie_t xcb_xfixes_change_cursor
2567 **
2568 ** @param xcb_connection_t *c
2569 ** @param xcb_cursor_t source
2570 ** @param xcb_cursor_t destination
2571 ** @returns xcb_void_cookie_t
2572 **
2573 *****************************************************************************/
2574
2575 xcb_void_cookie_t
2576 xcb_xfixes_change_cursor (xcb_connection_t *c ,
2577 xcb_cursor_t source ,
2578 xcb_cursor_t destination );
2579
2580 int
2581 xcb_xfixes_change_cursor_by_name_sizeof (const void *_buffer );
2582
2595 /*****************************************************************************
2596 **
2597 ** xcb_void_cookie_t xcb_xfixes_change_cursor_by_name_checked
2598 **
2599 ** @param xcb_connection_t *c
2600 ** @param xcb_cursor_t src
2601 ** @param uint16_t nbytes
2602 ** @param const char *name
2603 ** @returns xcb_void_cookie_t
2604 **
2605 *****************************************************************************/
2606
2607 xcb_void_cookie_t
2608 xcb_xfixes_change_cursor_by_name_checked (xcb_connection_t *c ,
2609 xcb_cursor_t src ,
2610 uint16_t nbytes ,
2611 const char *name );
2612
2622 /*****************************************************************************
2623 **
2624 ** xcb_void_cookie_t xcb_xfixes_change_cursor_by_name
2625 **
2626 ** @param xcb_connection_t *c
2627 ** @param xcb_cursor_t src
2628 ** @param uint16_t nbytes
2629 ** @param const char *name
2630 ** @returns xcb_void_cookie_t
2631 **
2632 *****************************************************************************/
2633
2634 xcb_void_cookie_t
2635 xcb_xfixes_change_cursor_by_name (xcb_connection_t *c ,
2636 xcb_cursor_t src ,
2637 uint16_t nbytes ,
2638 const char *name );
2639
2652 /*****************************************************************************
2653 **
2654 ** xcb_void_cookie_t xcb_xfixes_expand_region_checked
2655 **
2656 ** @param xcb_connection_t *c
2657 ** @param xcb_xfixes_region_t source
2658 ** @param xcb_xfixes_region_t destination
2659 ** @param uint16_t left
2660 ** @param uint16_t right
2661 ** @param uint16_t top
2662 ** @param uint16_t bottom
2663 ** @returns xcb_void_cookie_t
2664 **
2665 *****************************************************************************/
2666
2667 xcb_void_cookie_t
2668 xcb_xfixes_expand_region_checked (xcb_connection_t *c ,
2669 xcb_xfixes_region_t source ,
2670 xcb_xfixes_region_t destination ,
2671 uint16_t left ,
2672 uint16_t right ,
2673 uint16_t top ,
2674 uint16_t bottom );
2675
2685 /*****************************************************************************
2686 **
2687 ** xcb_void_cookie_t xcb_xfixes_expand_region
2688 **
2689 ** @param xcb_connection_t *c
2690 ** @param xcb_xfixes_region_t source
2691 ** @param xcb_xfixes_region_t destination
2692 ** @param uint16_t left
2693 ** @param uint16_t right
2694 ** @param uint16_t top
2695 ** @param uint16_t bottom
2696 ** @returns xcb_void_cookie_t
2697 **
2698 *****************************************************************************/
2699
2700 xcb_void_cookie_t
2701 xcb_xfixes_expand_region (xcb_connection_t *c ,
2702 xcb_xfixes_region_t source ,
2703 xcb_xfixes_region_t destination ,
2704 uint16_t left ,
2705 uint16_t right ,
2706 uint16_t top ,
2707 uint16_t bottom );
2708
2721 /*****************************************************************************
2722 **
2723 ** xcb_void_cookie_t xcb_xfixes_hide_cursor_checked
2724 **
2725 ** @param xcb_connection_t *c
2726 ** @param xcb_window_t window
2727 ** @returns xcb_void_cookie_t
2728 **
2729 *****************************************************************************/
2730
2731 xcb_void_cookie_t
2732 xcb_xfixes_hide_cursor_checked (xcb_connection_t *c ,
2733 xcb_window_t window );
2734
2744 /*****************************************************************************
2745 **
2746 ** xcb_void_cookie_t xcb_xfixes_hide_cursor
2747 **
2748 ** @param xcb_connection_t *c
2749 ** @param xcb_window_t window
2750 ** @returns xcb_void_cookie_t
2751 **
2752 *****************************************************************************/
2753
2754 xcb_void_cookie_t
2755 xcb_xfixes_hide_cursor (xcb_connection_t *c ,
2756 xcb_window_t window );
2757
2770 /*****************************************************************************
2771 **
2772 ** xcb_void_cookie_t xcb_xfixes_show_cursor_checked
2773 **
2774 ** @param xcb_connection_t *c
2775 ** @param xcb_window_t window
2776 ** @returns xcb_void_cookie_t
2777 **
2778 *****************************************************************************/
2779
2780 xcb_void_cookie_t
2781 xcb_xfixes_show_cursor_checked (xcb_connection_t *c ,
2782 xcb_window_t window );
2783
2793 /*****************************************************************************
2794 **
2795 ** xcb_void_cookie_t xcb_xfixes_show_cursor
2796 **
2797 ** @param xcb_connection_t *c
2798 ** @param xcb_window_t window
2799 ** @returns xcb_void_cookie_t
2800 **
2801 *****************************************************************************/
2802
2803 xcb_void_cookie_t
2804 xcb_xfixes_show_cursor (xcb_connection_t *c ,
2805 xcb_window_t window );
2806
2807
2808 #ifdef __cplusplus
2809 }
2810 #endif
2811
2812 #endif
2813